Payment batches & settlement
Tx Ops Get Group Providers
Name and signature indicate it returns tx ops get group providers
GEThttps://api.toku.com/stablecoin-payroll/tx-ops-get-group-providers
Required scope: payments:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/tx-ops-get-group-providers?batchID=%3CbatchID%3E&groupKey=%3CgroupKey%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"rail": "CRYPTO",
"providers": [
{
"provider": "string",
"providerLabel": "string",
"isPlannedProvider": true,
"requiresBalanceToSubmit": true,
"wallets": [
{
"address": "string",
"type": "string",
"custodyWalletID": "string",
"label": "string",
"delegateAddress": "string",
"supportsBatching": true,
"balance": "string",
"totalRequired": "string",
"isSufficient": true,
"delegateAvailable": true,
"isPlannedSource": true,
"approvalType": "string",
"threshold": 0,
"currentSigners": 0
}
]
}
],
"failedProviders": [
"string"
],
"unsupportedProviders": [
"string"
],
"noSourceWalletProviders": [
"string"
],
"undeterminedProviders": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
batchIDstring<uuid>requiredgroupKeystringrequiredAllowed: at least 1 characters
Response
200Successful response
railstringrequiredAvailable options: CRYPTO, FIAT
providersobject[]requiredShow child attributes
providerstringrequiredproviderLabelstringrequiredisPlannedProviderbooleanrequiredrequiresBalanceToSubmitbooleanrequiredwalletsobject[]requiredShow child attributes
addressstringrequiredtypestringrequiredcustodyWalletIDstring | nullrequiredlabelstringrequireddelegateAddressstring | nullrequiredsupportsBatchingbooleanrequiredbalancestringrequiredtotalRequiredstringrequiredisSufficientbooleanrequireddelegateAvailablebooleanrequiredisPlannedSourcebooleanrequiredapprovalTypestring | nullrequiredthresholdnumber | nullrequiredcurrentSignersnumber | nullrequiredfiatFundinganyrequiredfailedProvidersstring[]requiredunsupportedProvidersstring[]requirednoSourceWalletProvidersstring[]requiredundeterminedProvidersstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits